<?php
	include 'eWallet.php';

	// prepare parameters for eWallet HTTP adapter
	$arrItems_to_checkout = array(
		array(
			// regular payment
			'Amount'				=> '10.79',
			'CurrencyCode'			=> 'USD',
			'ItemDescription'		=> 'Initial Payment',
			'MerchantReferenceID'	=> 'MyDatabaseTransactionRef_1000',
            'UserReturnURL'			=> 'http://www.mysite.com/Thankyou.aspx', // only usefull for instant payments like from eWallet or credit card
            'MustComplete'			=> 'true'
		),
		array(
			// monthly subscription payment with initial payment
			'Amount'				=> '59.95',		// initial payment amount
			'CurrencyCode'			=> 'USD',
			'ItemDescription'		=> 'eBook purchase',
			'MerchantReferenceID'	=> 'MyDatabaseTransactionRef_1001',
            'UserReturnURL'			=> '',
            'MustComplete'			=> 'false',
			'IsSubscription'		=> 'true',
			'SubscriptionAmount'	=> '19.95',		// monthly subscription amount
			'SubscriptionDaysToStart' => '0'
		)
	);

	$arrItems = '';

	// convert arrays into a proper formatted string
	foreach($arrItems_to_checkout as $value)
	{
		$arrItems .= '[' . http_build_query($value) . ']';
	}

	// echo $arrItems;

	$params = array(
		'fn'    			=> 'eWallet_AddCheckoutItems',
		'MerchantGUID'		=> $MerchantGUID,
		'MerchantPassword'	=> $MerchantPassword,
		'UserName'			=> 'IP001',
		'arrItems'			=> $arrItems,
		'CurrencyCode'		=> 'USD',
	);

	// make a POST request to eWallet HTTP adapter
	$ch = curl_init($eWalletAPIURL);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($params));
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	curl_setopt($ch, CURLOPT_HEADER, 0);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	$ips_response = curl_exec($ch);
	curl_close($ch);

	// parse return
	parse_str($ips_response);
	parse_str($response);
	echo $response . "<br>";
	echo "m_Code = " . $m_Code . "<br>"; // if success, it should be NO_ERROR
	echo "m_Text = " . $m_Text . "<br>"; // if error, it will contain error description
?>
